package main

import (
	"github.com/bdlm/std/logger"

	"dev.sum7.eu/ccchb/ccchatbot/mqtt"
	"dev.sum7.eu/ccchb/ccchatbot/schalter"
)

type Config struct {
	LogLevel logger.Level `toml:"log_level"`

	XMPP struct {
		Host     string `toml:"host"`
		JID      string `toml:"jid"`
		Password string `toml:"password"`
	} `toml:"xmpp"`

	Schalter *schalter.Schalter `toml:"schalter"`
	MQTT     *mqtt.Config       `toml:"mqtt"`
}
